# BOOTSTRAP NOTE: currently we do not build the optional topkg-care part.
# It has dependencies which do not yet exist in Fedora, and which themselves
# depend on the main part of this package.  Once the dependencies have been
# added to Fedora, we will build topkg-care in non-bootstrap builds.

%define oname   topkg

Name:           ocaml-topkg
Version:        1.0.7
Release:        %mkrel 1
Summary:        The transitory OCaml software packager
License:        ISC
Group:          Development/OCaml
URL:            https://erratique.ch/software/topkg
Source0:        https://erratique.ch/software/topkg/releases/%{oname}-%{version}.tbz
BuildRequires:  opam

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-findlib >= 1.6.1
BuildRequires:  ocaml-ocamlbuild

#Project:       https://erratique.ch/repos/topkg/
#ProjectMirror: https://github.com/dbuenzli/topkg

%description
Topkg is a packager for distributing OCaml software. It provides
an API to describe the files a package installs in a given build
configuration and to specify information about the package's
distribution, creation and publication procedures.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version} -p1

# require debug info
echo $'\ntrue: debug' >> _tags

%build
ocaml pkg/pkg.ml "build"

%install
opam-installer \
	--prefix=%{buildroot}%{_prefix} \
	--libdir=%{buildroot}%{_libdir}/ocaml \
	%{oname}.install

# remove bogus path of docs
rm -rf %{buildroot}%{_prefix}/doc/%{oname}

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc README.md CHANGES.md
%license LICENSE.md
%dir %{_libdir}/ocaml/topkg
%{_libdir}/ocaml/topkg/META
%{_libdir}/ocaml/topkg/opam
%{_libdir}/ocaml/topkg/*.cmi
%{_libdir}/ocaml/topkg/*.cma
%{_libdir}/ocaml/topkg/*.cmxs

%files devel
%doc doc/ test/
%{_libdir}/ocaml/topkg/*.a
%{_libdir}/ocaml/topkg/*.cmx
%{_libdir}/ocaml/topkg/*.cmxa
%{_libdir}/ocaml/topkg/*.mli
%{_libdir}/ocaml/topkg/*.cmti


%changelog
* Mon Jan 23 2023 daviddavid <daviddavid> 1.0.7-1.mga9
+ Revision: 1934950
- new version: 1.0.7

* Sun Jan 01 2023 daviddavid <daviddavid> 1.0.6-1.mga9
+ Revision: 1928675
- new version: 1.0.6

* Sat Oct 08 2022 pterjan <pterjan> 1.0.5-1.mga9
+ Revision: 1895549
- Drop old patch
+ neoclust <neoclust>
- New version  1.0.5

* Thu May 19 2022 pterjan <pterjan> 1.0.4-2.mga9
+ Revision: 1858912
- Rebuild for OCaml 4.14

* Tue Oct 12 2021 tv <tv> 1.0.4-1.mga9
+ Revision: 1750832
- Version 1.0.4.
- ocaml-result is no longer needed.
- Add -labels patch to silence warnings,

* Wed Mar 03 2021 tv <tv> 1.0.3-1.mga9
+ Revision: 1697205
- 1.0.3

* Sun Jan 10 2021 pterjan <pterjan> 1.0.1-4.mga8
+ Revision: 1670295
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1551587
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1543564
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.0.1-1.mga8
+ Revision: 1481923
- new release + rebuild for ocaml-4.10

* Sat Mar 02 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1371011
- new version: 1.0.0
- enable debug package as it should

* Tue Oct 23 2018 pterjan <pterjan> 0.9.1-3.mga7
+ Revision: 1324388
- Rebuild for ocaml 4.07.1

* Wed Aug 29 2018 daviddavid <daviddavid> 0.9.1-2.mga7
+ Revision: 1255384
- rebuild for new ocaml-result 1.3

* Mon Mar 26 2018 daviddavid <daviddavid> 0.9.1-1.mga7
+ Revision: 1212572
- initial package ocaml-topkg

